Package com.google.android.exoplayer2.text

## Class CueEncoder

- java.lang.Object
- - com.google.android.exoplayer2.text.CueEncoder

-     public final class CueEncoder
      extends Object

  Encodes data that can be decoded by `CueDecoder`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CueEncoder()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `byte[]` | `encode​(List<Cue> cues)` | Encodes an `List` of `Cue` to a byte array that can be decoded by `CueDecoder`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CueEncoder

          public CueEncoder()

  - ### Method Detail

    - #### encode

          public byte[] encode​(List<Cue> cues)

      Encodes an `List` of `Cue` to a byte array that can be decoded by `CueDecoder`.
      Parameters:
        `cues` - Cues to be encoded.
      Returns:
        The serialized byte array.